package route

import (
	"kpt-pasture/http/handler/work"

	"github.com/gin-gonic/gin"
)

func WorkOrderAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// work API 组  工作清单
		workRoute := authRouteGroup(s, "/api/v1/work/")
		workRoute.POST("/order/list", work.OrderList)
		workRoute.POST("/order/createOrUpdate", work.OrderCreateOrUpdate)
		workRoute.PUT("/order/is_show/:id", work.OrderIsShow)
		workRoute.GET("/user/order/list/:status", work.UserOrderList)

		workRoute.POST("/calendar/list", work.CalendarList)
		workRoute.POST("/calendar/detail", work.CalendarTableDetail)
		workRoute.POST("/calendar/todo/list", work.CalendarToDoList)

	}
}
